Summary:	Library for creating and editing videos
Name:		libopenshot
Version:	0.3.3
Release:	5
License:	LGPL-3.0+
Group:		Libraries
Source0:	https://github.com/OpenShot/libopenshot/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	3fc1f185050bf01b73948944b8e13bc7
URL:		http://www.openshot.org/
BuildRequires:	ImageMagick-c++-devel
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5Multimedia-devel
BuildRequires:	Qt5MultimediaWidgets-devel
BuildRequires:	cmake
BuildRequires:	cppzmq-devel
BuildRequires:	doxygen
BuildRequires:	ffmpeg-devel
BuildRequires:	ffmpeg-libs
BuildRequires:	libopenshot-audio-devel >= 0.3
BuildRequires:	libstdc++-devel
BuildRequires:	python3-devel
BuildRequires:	swig
BuildRequires:	unittest-cpp-devel
BuildRequires:	zeromq-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		skip_post_check_so	libopenshot.so.*

%description
OpenShot Library (libopenshot) is an open-source project dedicated to
delivering high quality video editing, animation, and playback
solutions to the world. For more information visit
<http://www.openshot.org/>.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n python3-%{name}
Summary:	Python bindings for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n python3-%{name}
The python-%{name} package contains python bindings for applications
that use %{name}.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DENABLE_RUBY=NO
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenshot.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenshot.so.26

%files devel
%defattr(644,root,root,755)
%{_includedir}/libopenshot
%attr(755,root,root) %{_libdir}/libopenshot.so

%files -n python3-%{name}
%defattr(644,root,root,755)
%{py3_sitedir}/openshot.py
%attr(755,root,root) %{py3_sitedir}/_openshot.so
%changelog
* Mon Mar 24 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libopenshot.git;a=log;h=master

* Mon Mar 24 2025 Jan Rękorajski <baggins@pld-linux.org> 487ee98
- Release 5 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 6ae2caa
- Release 4 (by relup.sh)

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 65bd215
- python 3.13 rebuild

* Sun Sep 22 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5e0f812
- relup, libprotobuf rebuild

* Sun Sep 01 2024 Jan Rękorajski <baggins@pld-linux.org> 8b9f3bf
- up to 0.3.3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 52ab906
- rebuild with python 3.8
- release 3 (by relup.sh)

* Thu Jul 05 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b689f6
- release 2 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bdb3122
- up to 0.2.0

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8a3cc93
- release 3 (by relup.sh)

* Tue May 22 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c4b3f17
- release 2 (by relup.sh)

* Sun Apr 29 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c2d45ab
- up to 0.1.9 + ffmpeg hacky patch

* Tue Dec 26 2017 Jan Rękorajski <baggins@pld-linux.org> 07a7473
- release 3 (by relup.sh)

* Wed Oct 04 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 60bbee2
- release 2 (by relup.sh)

* Tue Sep 12 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> f208348
- up to 0.1.8

* Mon Sep 04 2017 Elan Ruusamäe <glen@delfi.ee> 386216a
- ImageMagick-7.0.7.0-1 rebuild
- release 2 (by relup.sh)

* Sat May 13 2017 Bartek Szady <bszx@bszx.eu> 7a97a0b
- updated to 0.1.5

* Sun May 07 2017 Jan Rękorajski <baggins@pld-linux.org> 5e00ae6
- disable so check due to false negative WriteImages reference
- updated files

* Sat May 06 2017 Elan Ruusamäe <glen@delfi.ee> 1eccc80
- up to 0.1.4

* Sat Dec 31 2016 Jan Rękorajski <baggins@pld-linux.org> 9d4c494
- fix building with ImageMagick 7
- rel 4

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 16dd7fe
- python 3.6
- release 3 (by relup.sh)

